org.apache.commons.collections4.set

## Class AbstractSerializableSetDecorator<E>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.set.AbstractSetDecorator<E>
    - - org.apache.commons.collections4.set.AbstractSerializableSetDecorator<E>

- Type Parameters:
    `E` - the type of the elements in this set
  All Implemented Interfaces:
    Serializable, Iterable<E>, Collection<E>, Set<E>
  Direct Known Subclasses:
    ListOrderedSet, UnmodifiableSet

      public abstract class AbstractSerializableSetDecorator<E>
      extends AbstractSetDecorator<E>

  Serializable subclass of AbstractSetDecorator.
  Since:
    3.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSerializableSetDecorator(Set<E> set)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.collections4.set.AbstractSetDecorator

      `decorated, equals, hashCode`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, removeIf, retainAll, setCollection, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### AbstractSerializableSetDecorator

          protected AbstractSerializableSetDecorator(Set<E> set)

      Constructor.
      Parameters:
        `set` - the list to decorate, must not be null
      Throws:
        `NullPointerException` - if set is null

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.